Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Java] Class AbstractOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions

All Implemented Interfaces:
  Serializable

    public abstract class AbstractOptions

Base class for compilation-related options.

Method Summary
`void` | `define(Map args)`
`protected boolean` | `excludeFromAntProperties(String fieldName)`
`protected String` | `getAntPropertyName(String fieldName)`
`protected Object` | `getAntPropertyValue(String fieldName, Object value)`
`Map` | `optionMap()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### define

    public void define(@Nullable Map args)

### excludeFromAntProperties

    protected boolean excludeFromAntProperties(String fieldName)

### getAntPropertyName

    protected String getAntPropertyName(String fieldName)

### getAntPropertyValue

    protected Object getAntPropertyValue(String fieldName, Object value)

### optionMap

    public Map optionMap()

Gradle API 1.10